selector.h File Reference
`#include <proton/import_export.h>`
`#include <proton/selectable.h>`
`#include <proton/type_compat.h>`

Go to the source code of this file.

## Macros

#define | PN_READABLE (1)
#define | PN_WRITABLE (2)
#define | PN_EXPIRED (4)
#define | PN_ERROR (8)

## Functions

pn_selector_t * | pni_selector (void)
PN_EXTERN void | pn_selector_free (pn_selector_t *selector)
PN_EXTERN void | pn_selector_add (pn_selector_t *selector, pn_selectable_t *selectable)
PN_EXTERN void | pn_selector_update (pn_selector_t *selector, pn_selectable_t *selectable)
PN_EXTERN void | pn_selector_remove (pn_selector_t *selector, pn_selectable_t *selectable)
PN_EXTERN size_t | pn_selector_size (pn_selector_t *selector)
PN_EXTERN int | pn_selector_select (pn_selector_t *select, int timeout)
PN_EXTERN pn_selectable_t * | pn_selector_next (pn_selector_t *select, int *events)

## Macro Definition Documentation

## PN_ERROR

#define PN_ERROR (8)

## PN_EXPIRED

#define PN_EXPIRED (4)

## PN_READABLE

#define PN_READABLE (1)

## PN_WRITABLE

#define PN_WRITABLE (2)

## Function Documentation

## pn_selector_add()

PN_EXTERN void pn_selector_add | ( | pn_selector_t * | selector,
|  | pn_selectable_t * | selectable
| ) |  |

## pn_selector_free()

PN_EXTERN void pn_selector_free | ( | pn_selector_t * | selector | ) |

## pn_selector_next()

PN_EXTERN pn_selectable_t* pn_selector_next | ( | pn_selector_t * | select,
|  | int * | events
| ) |  |

## pn_selector_remove()

PN_EXTERN void pn_selector_remove | ( | pn_selector_t * | selector,
|  | pn_selectable_t * | selectable
| ) |  |

## pn_selector_select()

PN_EXTERN int pn_selector_select | ( | pn_selector_t * | select,
|  | int | timeout
| ) |  |

## pn_selector_size()

PN_EXTERN size_t pn_selector_size | ( | pn_selector_t * | selector | ) |

## pn_selector_update()

PN_EXTERN void pn_selector_update | ( | pn_selector_t * | selector,
|  | pn_selectable_t * | selectable
| ) |  |

## pni_selector()

pn_selector_t* pni_selector | ( | void |  | ) |